package com.yida.data.common.core.entity.system.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 部门类型枚举
 *
 * @author ZYJ
 * @date 2021/8/23
 */
@Getter
@AllArgsConstructor
public enum DeptTypeEnum {

    /**
     * 部门类型枚举
     */
    SCHOOL_TYPE(0, "学校"),
    COMPANY_TYPE(5, "公司"),
    DEPARTMENT_TYPE(6, "部门"),
    // 教育局、代理商在树状图上和学校平级
    EDUCATION_DEPT_TYPE(7, "教育局"),
    AGENT_TYPE(8, "代理商");

    /**
     * 部门类型
     */
    private final Integer value;

    /**
     * 类型名称
     */
    private final String name;
}
